WriteNowTextInternal::Style Struct Reference

Internal: class to store a style. More...

## Public Member Functions

| Style ()

## Public Attributes

std::string | m_name
| the style name
int | m_nextId
| the next style ?
Font | m_font
| the font properties
Paragraph | m_paragraph
| the paragraph properties
int | m_values [12]
| some unknown value
int | m_flags [6]
| some unknown flags

## Friends

std::ostream & | operator<< (std::ostream &o, Style const &st)
| operator<<

## Detailed Description

Internal: class to store a style.

## Constructor & Destructor Documentation

## Style()

WriteNowTextInternal::Style::Style | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Style const & | st )

friend

operator<<

## Member Data Documentation

## m_flags

int WriteNowTextInternal::Style::m_flags[6]

some unknown flags

Referenced by operator<<, WriteNowText::readStyles(), and Style().

## m_font

Font WriteNowTextInternal::Style::m_font

the font properties

Referenced by WriteNowText::readStyles(), and Style().

## m_name

std::string WriteNowTextInternal::Style::m_name

the style name

Referenced by operator<<, WriteNowText::readStyles(), and Style().

## m_nextId

int WriteNowTextInternal::Style::m_nextId

the next style ?

Referenced by operator<<, WriteNowText::readStyles(), and Style().

## m_paragraph

Paragraph WriteNowTextInternal::Style::m_paragraph

the paragraph properties

Referenced by WriteNowText::readStyles(), and Style().

## m_values

int WriteNowTextInternal::Style::m_values[12]

some unknown value

Referenced by operator<<, WriteNowText::readStyles(), and Style().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx